<?php

namespace App\ViewModels\AgendaEspecialidade\AgendaEspecialidadeDisponibilidadeRegistrationViewModel;

use App\Utils\Entity;

class AgendaEspecialidadeDisponibilidadeRegistrationViewModel extends Entity {
	protected $idUnidade;
	protected $idEspecialidade;
	protected $dataInicial;
	protected $dataFinal;
	protected $horaInicial;
	protected $horaFinal;
	protected $criadoPor;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $crc;
	protected $ativo;
	protected $dataDisponibilidade;

	public static function builder() {

		return new AgendaEspecialidadeDisponibilidadeRegistrationViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->idUnidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdEspecialidade() {

		return $this->idEspecialidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataInicial() {

		return $this->dataInicial;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataFinal() {

		return $this->dataFinal;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraInicial() {

		return $this->horaInicial;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraFinal() {

		return $this->horaFinal;

	}

	/**
	 *
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade) {

		$this->idUnidade = $idUnidade;

	}

	/**
	 *
	 * @param mixed $idEspecialidade
	 */
	public function setIdEspecialidade($idEspecialidade) {

		$this->idEspecialidade = $idEspecialidade;

	}

	/**
	 *
	 * @param mixed $dataInicial
	 */
	public function setDataInicial($dataInicial) {

		$this->dataInicial = $dataInicial;

	}

	/**
	 *
	 * @param mixed $dataFinal
	 */
	public function setDataFinal($dataFinal) {

		$this->dataFinal = $dataFinal;

	}

	/**
	 *
	 * @param mixed $horaInicial
	 */
	public function setHoraInicial($horaInicial) {

		$this->horaInicial = $horaInicial;

	}

	/**
	 *
	 * @param mixed $horaFinal
	 */
	public function setHoraFinal($horaFinal) {

		$this->horaFinal = $horaFinal;

	}
	/**
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criadoPor;
	}


	/**
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->dataCriacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->horaCriacao;
	}


	/**
	 * @return mixed
	 */
	public function getCrc() {

		return $this->crc;
	}


	/**
	 * @return mixed
	 */
	public function getAtivo() {

		return $this->ativo;
	}


	/**
	 * @return mixed
	 */
	public function getDataDisponibilidade() {

		return $this->dataDisponibilidade;
	}


	/**
	 * @param mixed $criadoPor
	 */
	public function setCriadoPor($criadoPor) {

		$this->criadoPor = $criadoPor;
	}


	/**
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao) {

		$this->dataCriacao = $dataCriacao;
	}


	/**
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao) {

		$this->horaCriacao = $horaCriacao;
	}


	/**
	 * @param mixed $crc
	 */
	public function setCrc($crc) {

		$this->crc = $crc;
	}


	/**
	 * @param mixed $ativo
	 */
	public function setAtivo($ativo) {

		$this->ativo = $ativo;
	}


	/**
	 * @param mixed $dataDisponibilidade
	 */
	public function setDataDisponibilidade($dataDisponibilidade) {

		$this->dataDisponibilidade = $dataDisponibilidade;
	}



}

